%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version:        12.4.0
Release:        21%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.4.0
Patch0001: 0001-Add-the-option-to-only-aggregate-hosts-that-are-know.patch
Patch0002: 0002-Handle-libvirt-cpu_model_extra_flags-option.patch
Patch0003: 0003-Expose-rx-tx_queue_size.patch
Patch0004: 0004-Allow-live_migration_inbound_addr-to-be-used-with-no.patch
Patch0005: 0005-Expose-reserved_huge_pages-param.patch
Patch0006: 0006-Add-aggregate-metadata-unset-support-to-nova_aggrega.patch
Patch0007: 0007-Lift-restriction-of-choices-for-cpu_model_extra_flag.patch
Patch0008: 0008-Expost-cpu_weight_mulitiplier-config-parameter.patch
Patch0009: 0009-Add-VNC-SSL-options.patch
Patch0010: 0010-Add-sleep-in-nova-cron-jobs.patch
Patch0011: 0011-Remove-unused-osapi_volume_listen-parameter.patch
Patch0012: 0012-Make-providers-use-auth_url-for-authentication.patch
Patch0013: 0013-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0014: 0014-Deprecate-unused-image_service-parameter.patch
Patch0015: 0015-Deprecate-notify_api_faults-for-notify_on_api_faults.patch
Patch0016: 0016-Deprecate-unused-notify_on_api_faults-parameter.patch
Patch0017: 0017-Support-for-libvirt-volume-multipath.patch
Patch0018: 0018-downstream-only-Add-scheduler-workers-support.patch
Patch0019: 0019-Allow-the-cpu_shared_set-to-be-configurable.patch
Patch0020: 0020-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0021: 0021-Deprecate-unused-notify_on_api_faults-parameter.patch
Patch0022: 0022-Fixup-functions-for-5.5.7.patch
Patch0023: 0023-Expose-devices-enabled_vgpu_types-config-option.patch
Patch0024: 0024-NUMA-aware-vswitches.patch
Patch0025: 0025-Include-nova-availability_zone-in-scheduler.pp.patch
Patch0026: 0026-Add-cinder-credentials-in-nova-conf.patch
Patch0027: 0027-Adds-functionality-to-modudify-the-nfs-clients-mount.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Fri Jun 07 2019 Martin Schuppert <mschuppert@redhat.com> 12.4.0-21
- Adds functionality to modudify the nfs clients mount options (rhbz#1650949)

* Fri Jun 07 2019 Martin Schuppert <mschuppert@redhat.com> 12.4.0-20
- Add cinder credentials in nova conf (rhbz#1691842)

* Wed May 15 2019 Rajesh Tailor <ratailor@redhat.com> 12.4.0-19
- Include nova::availability_zone in scheduler.pp (rhbz#1698712)

* Wed May 15 2019 Martin Schuppert <mschuppert@redhat.com> 12.4.0-18
- NUMA aware vswitches (rhbz#1611997)

* Thu Mar 14 2019 Piotr Kopec <pkopec@redhat.com> 12.4.0-17
- Expose devices/enabled_vgpu_types config option (rhbz#1683166)

* Tue Feb 12 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-16
- Fixup functions for 5.5.7+
- Add 'openstack-db' tag to db-sync Exec resource

* Mon Jan 14 2019 Rajesh Tailor <ratailor@redhat.com> 12.4.0-15
- Allow the cpu_shared_set to be configurable (rhbz#1656069)

* Wed Dec 12 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-14
- [downstream-only] Add scheduler workers support (rhbz#1656495)

* Thu Nov 22 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-13
- Support for libvirt volume multipath (rhbz#1644018)

* Tue Nov 20 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-12
- Fixup functions for 5.5.7+
- Add 'openstack-db' tag to db-sync Exec resource

* Mon Nov 19 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-11
- Deprecate unused notify_on_api_faults parameter (rhbz#1617373)
- Deprecate notify_api_faults for notify_on_api_faults (rhbz#1617373)

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-10
- Deprecate unused image_service parameter
- Update Gemfile to pull spec_helper from stable/queens
- Make providers use auth_url for authentication
- Remove unused osapi_volume_listen parameter (rhbz#1616133)
- Allow live_migration_inbound_addr to be used with non-default port/user/extra_params (rhbz#1576750)
- Add the option to only aggregate hosts that are known by openstack to be active

* Thu Aug 16 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-9
- Add sleep in nova cron jobs (rhbz#1603015)

* Thu Aug 16 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-8
- Expost cpu_weight_mulitiplier config parameter (rhbz#1582406)

* Mon Aug 13 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-7
- Add VNC SSL options (rhbz#1613161)

* Mon Jul 30 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-6
- Lift restriction of choices for 'cpu_model_extra_flags' (rhbz#1579691)

* Tue Jul 24 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-5
- Add aggregate metadata unset support to nova_aggregate
- Expose reserved_huge_pages param

* Tue Jul 24 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-4
- Allow live_migration_inbound_addr to be used with non-default port/user/extra_params (rhbz#1576750)

* Tue May 01 2018 Oliver Walsh <owalsh@redhat.com> 12.4.0-3
- Expose rx/tx_queue_size (rhbz#1571737)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- Handle libvirt/cpu_model_extra_flags option
- Add the option to only aggregate hosts that are known by openstack to be active

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0

* Wed Feb 21 2018 Haikel Guemar <hguemar@fedoraproject.org> 12.3.0-1
- Update to 12.3.0


